## org.apache.batik.apps.svgbrowser
Interface HistoryBrowser.CommandController

All Known Implementing Classes:
  HistoryBrowser.DocumentCommandController

Enclosing class:
  HistoryBrowser

    public static interface HistoryBrowser.CommandController

Wrapps the command's execute, undo and redo methods.

Method Summary
`void` `execute(UndoableCommand command)` Wrapps the execute method.
`int` `getState()` Gets the state of the command controller.
`void` `redo(UndoableCommand command)` Wrapps the redo method.
`void` `undo(UndoableCommand command)` Wrapps the undo method.

Method Detail

### execute

    void execute(UndoableCommand command)

  Wrapps the execute method.

### undo

    void undo(UndoableCommand command)

  Wrapps the undo method.

### redo

    void redo(UndoableCommand command)

  Wrapps the redo method.

### getState

    int getState()

  Gets the state of the command controller.

  Returns:
    HistoryBrowserState

Copyright © 2008 Apache Software Foundation. All Rights Reserved.